command: docker load
short: Load an image from a tar archive or STDIN
long: |-
  Load an image or repository from a tar archive (even if compressed with gzip,
  bzip2, or xz) from a file or STDIN. It restores both images and tags.
usage: docker load [OPTIONS]
pname: docker
plink: docker.yaml
options:
- option: input
  shorthand: i
  value_type: string
  description: Read from tar archive file, instead of STDIN
  deprecated: false
  experimental: false
  experimentalcli: false
  kubernetes: false
  swarm: false
- option: quiet
  shorthand: q
  value_type: bool
  default_value: "false"
  description: Suppress the load output
  deprecated: false
  experimental: false
  experimentalcli: false
  kubernetes: false
  swarm: false
examples: |-
  ```bash
  $ docker image ls

  REPOSITORY          TAG                 IMAGE ID            CREATED             SIZE

  $ docker load < busybox.tar.gz

  Loaded image: busybox:latest
  $ docker images
  REPOSITORY          TAG                 IMAGE ID            CREATED             SIZE
  busybox             latest              769b9341d937        7 weeks ago         2.489 MB

  $ docker load --input fedora.tar

  Loaded image: fedora:rawhide

  Loaded image: fedora:20

  $ docker images

  REPOSITORY          TAG                 IMAGE ID            CREATED             SIZE
  busybox             latest              769b9341d937        7 weeks ago         2.489 MB
  fedora              rawhide             0d20aec6529d        7 weeks ago         387 MB
  fedora              20                  58394af37342        7 weeks ago         385.5 MB
  fedora              heisenbug           58394af37342        7 weeks ago         385.5 MB
  fedora              latest              58394af37342        7 weeks ago         385.5 MB
  ```
deprecated: false
experimental: false
experimentalcli: false
kubernetes: false
swarm: false

